apiVersion: image.toolkit.fluxcd.io/v1beta2
kind: ImageUpdateAutomation
metadata:
  name: neon-vortex
  namespace: flux-system
spec:
  interval: 1m
  sourceRef:
    kind: GitRepository
    name: neon-vortex
    namespace: flux-system
  git:
    checkout:
      ref:
        branch: main
    commit:
      author:
        email: flux@cluster.local
        name: Flux Image Automation
      messageTemplate: |
        Update image to {{range .Updated.Images}}{{println .}}{{end}}

        Automation: flux-system/neon-vortex
    push:
      branch: main
  update:
    path: ./flux-helmrelease.yaml
    strategy: Setters
